Bug 1011132 - [abrt] pronterface-0.0-32.20130711gitb8f549b.fc18: printcore.py:166:connect:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 44: ordinal not in range(128)
[abrt] pronterface-0.0-32.20130711gitb8f549b.fc18: printcore.py:166:connect:U...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: printrun (Show other bugs)
18
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miro Hrončok
Fedora Extras Quality Assurance
abrt_hash:76a48539ae7c9ffd959fbf3947b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-23 12:23 EDT by novikovfb
Modified: 2014-02-05 18:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 18:16:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (985 bytes, text/plain)
2013-09-23 12:23 EDT, novikovfb
no flags Details
File: environ (1.68 KB, text/plain)
2013-09-23 12:23 EDT, novikovfb
no flags Details

  None (edit)
Description novikovfb 2013-09-23 12:23:27 EDT
Version-Release number of selected component:
pronterface-0.0-32.20130711gitb8f549b.fc18

Additional info:
reporter:       libreport-2.1.6
cmdline:        /usr/bin/python /usr/bin/pronterface
dso_list:       printrun-common-0.0-32.20130711gitb8f549b.fc18.i686
executable:     /usr/bin/pronterface
kernel:         3.10.11-100.fc18.i686
runlevel:       N 5
type:           Python
uid:            1000

Truncated backtrace:
printcore.py:166:connect:UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 44: ordinal not in range(128)

Traceback (most recent call last):
  File "/usr/bin/pronterface", line 1645, in connect
    self.p.connect(port, baud)
  File "/usr/bin/printcore.py", line 35, in inner
    return f(*args, **kw)
  File "/usr/bin/printcore.py", line 166, in connect
    print _("Serial error: %s") % e
UnicodeDecodeError: 'ascii' codec can't decode byte 0xd0 in position 44: ordinal not in range(128)

Local variables in innermost frame:
baud: 115200
e: SerialException("could not open port /dev/ttyUSB0: [Errno 2] \xd0\x9d\xd0\xb5\xd1\x82 \xd1\x82\xd0\xb0\xd0\xba\xd0\xbe\xd0\xb3\xd0\xbe \xd1\x84\xd0\xb0\xd0\xb9\xd0\xbb\xd0\xb0 \xd0\xb8\xd0\xbb\xd0\xb8 \xd0\xba\xd0\xb0\xd1\x82\xd0\xb0\xd0\xbb\xd0\xbe\xd0\xb3\xd0\xb0: '/dev/ttyUSB0'",)
is_serial: True
host_regexp: <_sre.SRE_Pattern object at 0xb0c7860>
port: '/dev/ttyUSB0'
self: <printcore.printcore instance at 0xa32d3ec>
Comment 1 novikovfb 2013-09-23 12:23:31 EDT
Created attachment 801758 [details]
File: backtrace
Comment 2 novikovfb 2013-09-23 12:23:34 EDT
Created attachment 801759 [details]
File: environ
Comment 3 Miro Hrončok 2013-09-25 05:27:56 EDT
Got Russian localas? I know what that bug is. When you cannot connect the printer, it fails with an exception, that exception is caught and printed, but it has problems on system with non ascii languages, like Russian or Czech.

Will try to solve that upstream.
Comment 4 Miro Hrončok 2013-09-25 05:44:25 EDT
https://github.com/kliment/Printrun/issues/435
Comment 5 Fedora End Of Life 2013-12-21 10:39:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2014-02-05 18:16:18 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.